/*
 * Created on 24.02.2004 18:28:39
 *
 * Multimediale Algorithmen und Datenstrukturen Assessments
 */
package mauda.plugin.binqueue;

import mauda.operation.*;
import mauda.plugin.*;
/**
 * Description
 * 
 * @author Markus Krebs
 */
public class BinQueueAnalyse implements Analysable {

	public OperationQueue getOperations(Object o) {
		return null;
	}
	public OperationQueue init(Object o, OperationQueue givenOperations, int difficulty, int mode) {
		return null;
	}	
	public OperationQueue scramble(Object o, OperationQueue givenOperations, int difficulty, int mode) {
		return null;
	}
	public OperationQueue autoGen(Object o, OperationQueue givenOperations, int difficulty, int mode) {
		return null;
	}	
	public OperationQueue[] fullAutomatic(Object o,
					OperationQueue initOQ,
					OperationQueue scrambleOQ,
					OperationQueue autoGenOQ,
					int difficulty,
					int mode) {
		return null;
	}
}
